repo/gentoo:master commit in: app-emacs/ghub/

Maciej Barć <[email protected]> Mon, 03 Aug 2026 11:33:54 +0000 (UTC)
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1785756829.359caa8cf61b7bb4a69f404c044c09b2a67e5724.xgqt@gentoo>
commit:     359caa8cf61b7bb4a69f404c044c09b2a67e5724
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Mon Aug  3 11:16:40 2026 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Mon Aug  3 11:33:49 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=359caa8c

app-emacs/ghub: bump to 5.3.0

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-emacs/ghub/Manifest          |  1 +
 app-emacs/ghub/ghub-5.3.0.ebuild | 44 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/app-emacs/ghub/Manifest b/app-emacs/ghub/Manifest
index a9918c1fcaed..146be68c1286 100644
--- a/app-emacs/ghub/Manifest
+++ b/app-emacs/ghub/Manifest
@@ -1,2 +1,3 @@
 DIST ghub-5.2.1.gh.tar.gz 59147 BLAKE2B b5dddf97fff6ba7838e04ddf2bddb2bb2ead5e1f6074d39956b2928ef1f4b4cc55dacb8c452c07d6118d410cfe5ba534c77c26e728401d56a08eaa85d466eb61 SHA512 bd0ca3e64225e1044877e6c15351815a3a3f083aad96decd4ce972692034c8aa499f02b4f0fdc1d0208acea93cd782ff4ee94d4e7a188513f5e67cb4615f1f9c
 DIST ghub-5.2.2.gh.tar.gz 59179 BLAKE2B f0dd460c8a31e3c83b554ebfa210318edd8d82c89c206d767b73c3f7f676472723796627215b11cc270d183cef005ae31ba3eec8f4304b799b81bbb2f22e90b9 SHA512 7dff1745bce3d9e6e0082ff0df72ae09bf880748838f178baba911bc26aaf9d7459dd2d0e62d5caa2851c2aeaae56af5e48534d3b521b3363c070f05b015a19e
+DIST ghub-5.3.0.gh.tar.gz 60161 BLAKE2B cafc584dc4a524195024f7ad69621c80737d0a663840e0657b3420db4b423565a54a3b14ef7f5ac0a4b96f3f46fc4098748a86989fc0fe083435fbe0d6c0f8e3 SHA512 18724a7423fa76e72ae096124e0340a2bf23f920ba3db64e635f52d937cd0bbf033b3bc2c9d515c0f39b0f373ee878a79eb735f4630cbb35bbf32274c3b9a3b1

diff --git a/app-emacs/ghub/ghub-5.3.0.ebuild b/app-emacs/ghub/ghub-5.3.0.ebuild
new file mode 100644
index 000000000000..29888737fc16
--- /dev/null
+++ b/app-emacs/ghub/ghub-5.3.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=9
+
+NEED_EMACS="29.1"
+
+inherit elisp
+
+DESCRIPTION="Minuscule client library for the Git forge APIs"
+HOMEPAGE="https://magit.vc/manual/ghub/
+	https://github.com/magit/ghub/"
+
+if [[ "${PV}" == *9999* ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/magit/${PN}"
+else
+	SRC_URI="https://github.com/magit/${PN}/archive/v${PV}.tar.gz
+		-> ${P}.gh.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+
+RDEPEND="
+	>=app-emacs/compat-31.0
+	>=app-emacs/cond-let-1.1
+	>=app-emacs/llama-1.0
+	>=app-emacs/treepy-0.1.3
+"
+BDEPEND="
+	${RDEPEND}
+	sys-apps/texinfo
+"
+
+DOCS=( CHANGELOG README.org )
+ELISP_TEXINFO="docs/ghub.texi"
+SITEFILE="50${PN}-gentoo.el"
+
+src_prepare() {
+	mv ./lisp/*.el . || die
+	elisp_src_prepare
+}